<?php

namespace Lucent\Query\BuilderConverter;

use Illuminate\Database\Query\Builder;
use Lucent\Query\Filter\Argument;

readonly class IsNull implements IBuilderConverter
{

    public function __construct(private Argument $argument)
    {
    }

    public function toAndQueryBuilder(Builder $builder): Builder
    {
        return $builder->whereNull($this->argument->field);
    }

    public function toOrQueryBuilder(Builder $builder): Builder
    {
        return $builder->orWhereNull($this->argument->field);
    }

}